Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.module.jca
Class MuleResourceAdapter

    java.lang.Object
      org.mule.module.jca.MuleResourceAdapter

All Implemented Interfaces:
  Serializable, ResourceAdapter

    public class MuleResourceAdapter

extends Object
implements ResourceAdapter, Serializable

`MuleResourceAdapter` TODO

See Also:
  Serialized Form

Field Summary
`protected BootstrapContext` | `bootstrapContext`
`protected String` | `defaultJcaModelName`
`protected Map<MuleEndpointKey,Service>` | `endpoints`
`protected Log` | `logger` logger used by this class
`protected MuleContext` | `muleContext`

Constructor Summary
`MuleResourceAdapter()`

Method Summary
`protected Service` | `createJcaService(javax.resource.spi.endpoint.MessageEndpointFactory endpointFactory, JcaModel model, InboundEndpoint endpoint)`
`protected InboundEndpoint` | `createMessageInflowEndpoint(MuleActivationSpec muleActivationSpec)`
`void` | `endpointActivation(javax.resource.spi.endpoint.MessageEndpointFactory endpointFactory, ActivationSpec activationSpec)`
`void` | `endpointDeactivation(javax.resource.spi.endpoint.MessageEndpointFactory endpointFactory, ActivationSpec activationSpec)`
`boolean` | `equals(Object obj)`
`BootstrapContext` | `getBootstrapContext()`
`String` | `getClusterId()`
`String` | `getConfigurationBuilder()`
`String` | `getConfigurations()`
`String` | `getDefaultEncoding()`
`int` | `getDefaultQueueTimeout()`
`int` | `getDefaultResponseTimeout()`
`int` | `getDefaultTransactionTimeout()`
`String` | `getDomainId()`
`String` | `getId()`
`protected JcaModel` | `getJcaModel(String modelName)`
`String` | `getModelName()`
`String` | `getMuleHomeDirectory()`
`String` | `getPassword()`
`int` | `getShutdownTimeout()`
`String` | `getSystemModelType()`
`String` | `getSystemName()`
`String` | `getUserName()`
`String` | `getWorkingDirectory()`
`XAResource[]` | `getXAResources(ActivationSpec[] activationSpecs)` We only connect to one resource manager per ResourceAdapter instance, so any ActivationSpec will return the same XAResource.
`int` | `hashCode()`
`boolean` | `isAutoWrapMessageAwareTransform()`
`boolean` | `isCacheMessageAsBytes()`
`boolean` | `isCacheMessageOriginalPayload()`
`boolean` | `isClientMode()`
`boolean` | `isEnableStreaming()`
`protected String` | `resolveModelName(MuleActivationSpec activationSpec)`
`void` | `setAutoWrapMessageAwareTransform(Boolean autoWrapMessageAwareTransform)`
`void` | `setCacheMessageAsBytes(Boolean cacheMessageAsBytes)`
`void` | `setCacheMessageOriginalPayload(Boolean cacheMessageOriginalPayload)`
`void` | `setClusterId(String clusterId)`
`void` | `setConfigurationBuilder(String configbuilder)`
`void` | `setConfigurations(String configurations)`
`void` | `setDefaultEncoding(String encoding)`
`void` | `setDefaultQueueTimeout(Integer defaultQueueTimeout)`
`void` | `setDefaultResponseTimeout(Integer responseTimeout)`
`void` | `setDefaultSynchronousEndpoints(Boolean synchronous)`
`void` | `setDefaultTransactionTimeout(Integer defaultTransactionTimeout)`
`void` | `setDomainId(String domainId)`
`void` | `setModelName(String modelName)`
`void` | `setPassword(String password)`
`void` | `setServerId(String serverId)`
`void` | `setShutdownTimeout(Integer shutdownTimeout)`
`void` | `setUserName(String userid)`
`void` | `setWorkingDirectory(String workingDirectory)`
`void` | `start(BootstrapContext bootstrapContext)`
`void` | `stop()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### logger

    protected transient Log logger

  logger used by this class

### muleContext

    protected transient MuleContext muleContext

### bootstrapContext

    protected transient BootstrapContext bootstrapContext

### endpoints

    protected final Map<MuleEndpointKey,Service> endpoints

### defaultJcaModelName

    protected String defaultJcaModelName

Constructor Detail

### MuleResourceAdapter

    public MuleResourceAdapter()

Method Detail

### start

    public void start(BootstrapContext bootstrapContext)
               throws ResourceAdapterInternalException

  Specified by:
    `start` in interface `ResourceAdapter`
  Throws:
    `ResourceAdapterInternalException`
  See Also:
    `ResourceAdapter.start(javax.resource.spi.BootstrapContext)`

### stop

    public void stop()

  Specified by:
    `stop` in interface `ResourceAdapter`
  See Also:
    `ResourceAdapter.stop()`

### getBootstrapContext

    public BootstrapContext getBootstrapContext()

  Returns:
    the bootstrap context for this adapter

### endpointActivation

    public void endpointActivation(javax.resource.spi.endpoint.MessageEndpointFactory endpointFactory,
                                   ActivationSpec activationSpec)
                            throws ResourceException

  Specified by:
    `endpointActivation` in interface `ResourceAdapter`
  Throws:
    `ResourceException`
  See Also:
    `ResourceAdapter.endpointActivation(javax.resource.spi.endpoint.MessageEndpointFactory, javax.resource.spi.ActivationSpec)`

### endpointDeactivation

    public void endpointDeactivation(javax.resource.spi.endpoint.MessageEndpointFactory endpointFactory,
                                     ActivationSpec activationSpec)

  Specified by:
    `endpointDeactivation` in interface `ResourceAdapter`
  See Also:
    `ResourceAdapter.endpointDeactivation(javax.resource.spi.endpoint.MessageEndpointFactory, javax.resource.spi.ActivationSpec)`

### resolveModelName

    protected String resolveModelName(MuleActivationSpec activationSpec)
                               throws ResourceException

  Throws:
    `ResourceException`

### getJcaModel

    protected JcaModel getJcaModel(String modelName)
                            throws MuleException,
                                   ResourceException

  Throws:
    `MuleException`
    `ResourceException`

### createJcaService

    protected Service createJcaService(javax.resource.spi.endpoint.MessageEndpointFactory endpointFactory,
                                       JcaModel model,
                                       InboundEndpoint endpoint)
                                throws MuleException

  Throws:
    `MuleException`

### createMessageInflowEndpoint

    protected InboundEndpoint createMessageInflowEndpoint(MuleActivationSpec muleActivationSpec)
                                                   throws MuleException

  Throws:
    `MuleException`

### getXAResources

    public XAResource[] getXAResources(ActivationSpec[] activationSpecs)
                                throws ResourceException

  We only connect to one resource manager per ResourceAdapter instance, so any ActivationSpec will return the same XAResource.

  Specified by:
    `getXAResources` in interface `ResourceAdapter`
  Throws:
    `ResourceException`
  See Also:
    `ResourceAdapter.getXAResources(javax.resource.spi.ActivationSpec[])`

### setPassword

    public void setPassword(String password)

  Parameters:
    `password` -

### setConfigurations

    public void setConfigurations(String configurations)

  Parameters:
    `configurations` -

### setUserName

    public void setUserName(String userid)

  Parameters:
    `userid` -

### setConfigurationBuilder

    public void setConfigurationBuilder(String configbuilder)

### setModelName

    public void setModelName(String modelName)

### setAutoWrapMessageAwareTransform

    public void setAutoWrapMessageAwareTransform(Boolean autoWrapMessageAwareTransform)

### setCacheMessageAsBytes

    public void setCacheMessageAsBytes(Boolean cacheMessageAsBytes)

### setCacheMessageOriginalPayload

    public void setCacheMessageOriginalPayload(Boolean cacheMessageOriginalPayload)

### setClusterId

    public void setClusterId(String clusterId)

### setDefaultEncoding

    public void setDefaultEncoding(String encoding)

### setDefaultQueueTimeout

    public void setDefaultQueueTimeout(Integer defaultQueueTimeout)

### setDefaultResponseTimeout

    public void setDefaultResponseTimeout(Integer responseTimeout)

### setDefaultSynchronousEndpoints

    public void setDefaultSynchronousEndpoints(Boolean synchronous)

### setDefaultTransactionTimeout

    public void setDefaultTransactionTimeout(Integer defaultTransactionTimeout)

### setDomainId

    public void setDomainId(String domainId)

### setServerId

    public void setServerId(String serverId)

### setShutdownTimeout

    public void setShutdownTimeout(Integer shutdownTimeout)

### setWorkingDirectory

    public void setWorkingDirectory(String workingDirectory)

### getConfigurationBuilder

    public String getConfigurationBuilder()

### getConfigurations

    public String getConfigurations()

### getUserName

    public String getUserName()

### getPassword

    public String getPassword()

### getModelName

    public String getModelName()

### getClusterId

    public String getClusterId()

### getDefaultEncoding

    public String getDefaultEncoding()

### getDefaultQueueTimeout

    public int getDefaultQueueTimeout()

### getDefaultResponseTimeout

    public int getDefaultResponseTimeout()

### getDefaultTransactionTimeout

    public int getDefaultTransactionTimeout()

### getDomainId

    public String getDomainId()

### getId

    public String getId()

### getMuleHomeDirectory

    public String getMuleHomeDirectory()

### getShutdownTimeout

    public int getShutdownTimeout()

### getSystemModelType

    public String getSystemModelType()

### getSystemName

    public String getSystemName()

### getWorkingDirectory

    public String getWorkingDirectory()

### isAutoWrapMessageAwareTransform

    public boolean isAutoWrapMessageAwareTransform()

### isCacheMessageAsBytes

    public boolean isCacheMessageAsBytes()

### isCacheMessageOriginalPayload

    public boolean isCacheMessageOriginalPayload()

### isClientMode

    public boolean isClientMode()

### isEnableStreaming

    public boolean isEnableStreaming()

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

### equals

    public boolean equals(Object obj)

  Overrides:
    `equals` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2010 MuleSoft, Inc.. All Rights Reserved.